$ico_image_pointer	=	"../image/Geo_Pointer_128x128.png";	   	// ICO/IMAGE indicating your position on the map	
$device				=	"Desktop";    							// For select correct CSS (may be Desktop or Mobile)

$geo = 'http://maps.google.com/maps/api/geocode/xml?latlng='.htmlentities(htmlspecialchars(strip_tags($_GET['latlng']))).'&sensor=true';
$xml = simplexml_load_file($geo);
foreach($xml->result->address_component as $component){
	if($component->type=='street_address'){
		$geodata['precise_address'] = $component->long_name;
	}
	if($component->type=='natural_feature'){
		$geodata['natural_feature'] = $component->long_name;
	}
	if($component->type=='airport'){
		$geodata['airport'] = $component->long_name;
	}
	if($component->type=='park'){
		$geodata['park'] = $component->long_name;
	}
	if($component->type=='point_of_interest'){
		$geodata['point_of_interest'] = $component->long_name;
	}
	if($component->type=='premise'){
		$geodata['named_location'] = $component->long_name;
	}
	if($component->type=='street_number'){
		$geodata['numero_civico'] = $component->long_name;
	}
	if($component->type=='route'){
		$geodata['via'] = $component->long_name;
	}
	if($component->type=='locality'){
		$geodata['citta'] = $component->long_name;
	}
	if($component->type=='administrative_area_level_3'){
		$geodata['district_region'] = $component->long_name;
	}
	if($component->type=='neighborhood'){
		$geodata['neighborhood'] = $component->long_name;
	}
	if($component->type=='colloquial_area'){
		$geodata['locally_known_as'] = $component->long_name;
	}
	if($component->type=='administrative_area_level_2'){
		$geodata['county_state'] = $component->long_name;
	}
	if($component->type=='postal_code'){
		$geodata['cap'] = $component->long_name;
	}
	if($component->type=='country'){
		$geodata['stato'] = $component->long_name;
	}

	if($component->type=='administrative_area_level_1'){
		$geodata['regione'] = $component->long_name;
	}	
	
	if($component->type=='administrative_area_level_2'){
		$geodata['Provincia'] = $component->short_name;
	}		
}


list($lat,$long) = explode(',',htmlentities(htmlspecialchars(strip_tags($_GET['latlng']))));
$geodata['latitudine'] = $lat;
$geodata['longitudine'] = $long;
$geodata['formatted_address'] = $xml->result->formatted_address;
$geodata['precisione'] = htmlentities(htmlspecialchars(strip_tags($_GET['accuracy'])));
$geodata['altitudine'] = htmlentities(htmlspecialchars(strip_tags($_GET['altitude'])));
$geodata['altitudine_precisione'] = htmlentities(htmlspecialchars(strip_tags($_GET['altitude_accuracy'])));
$geodata['directional_heading'] = htmlentities(htmlspecialchars(strip_tags($_GET['heading'])));
$geodata['speed'] = htmlentities(htmlspecialchars(strip_tags($_GET['speed'])));
$geodata['google_api_src'] = $geo;

//---- Azzeramento Variabili GEO
$GEO_Numero_Civivo			=	'';
$GEO_Via					=	'';
$GEO_Citta					=	'';
$GEO_Distretto_Regione		=	'';
$GEO_Citta_Metrolitana		=	'';
$GEO_Provincia				=	'';
$GEO_Nome_Regione 			=	'';
$GEO_Stato		 			=	'';
$GEO_CAP			 		=	'';
$GEO_Longitudine	 		=	'';
$GEO_Latitudine	 			=	'';
$GEO_Indirizzo_Completo		=	'';
$GEO_Precisione_Indirizzo	=	'';
$GEO_Altitudine				=	'';
$GEO_Altitudine_heading		=	'';
$GEO_Directional_heading	=	'';
$GEO_Speed					=	'';
$GEO_Str_Http				=	'';


$xx=1;
foreach($geodata as $name => $value){
	if ($xx==1)
		{ $GEO_Numero_Civivo		=	str_replace('&','&amp;',$value); }	
	elseif ($xx==2)
		{ $GEO_Via					=	str_replace('&','&amp;',$value); }	// Viale V.S....
	elseif ($xx==3)
		{ $GEO_Citta				=	str_replace('&','&amp;',$value); }	// Villastellone
	elseif ($xx==4)
		{ $GEO_Distretto_Regione	=	str_replace('&','&amp;',$value); }	// Villastellone
	elseif ($xx==5)
		{ $GEO_Citta_Metrolitana	=	str_replace('&','&amp;',$value); } 	//  Città Metropolitana di Torino
	elseif ($xx==6)
		{ $GEO_Provincia			=	str_replace('&','&amp;',$value); }	// TO
	elseif ($xx==7)
		{ $GEO_Nome_Regione 		=	str_replace('&','&amp;',$value); }	// Piemonte
	elseif ($xx==8)
		{ $GEO_Stato		 		=	str_replace('&','&amp;',$value); }	//  Italy	
	elseif ($xx==9)
		{ $GEO_CAP			 		=	str_replace('&','&amp;',$value); }	// 10029
	elseif ($xx==10)
		{ $GEO_Longitudine	 		=	str_replace('&','&amp;',$value); }	// 44.919263699999995	
	elseif ($xx==11)
		{ $GEO_Latitudine	 		=	str_replace('&','&amp;',$value); }	// 7.743057800000001
	elseif ($xx==12)
		{ $GEO_Indirizzo_Completo	=	str_replace('&','&amp;',$value); }	// Viale V.Signorini, 15, 10029 Villastellone TO, Italy
	elseif ($xx==13)
		{ $GEO_Precisione_Indirizzo	=	str_replace('&','&amp;',$value); }	// 31
	elseif ($xx==14)
		{ $GEO_Altitudine			=	str_replace('&','&amp;',$value); }	// null
	elseif ($xx==15)
		{ $GEO_Altitudine_heading	=	str_replace('&','&amp;',$value); }	// null
	elseif ($xx==16)
		{ $GEO_Directional_heading	=	str_replace('&','&amp;',$value); }	// null
	elseif ($xx==17)
		{ $GEO_Speed				=	str_replace('&','&amp;',$value); }	// null
	elseif ($xx==18)
		// Esempio Stringa $GEO_Str_Http     http://maps.google.com/maps/api/geocode/xml?latlng=44.919263699999995,7.743057800000001&sensor=true
		{ $GEO_Str_Http				=	str_replace('&','&amp;',$value); }	
	$xx++;
}

// Parte CSS comune a DESKTOP e a MOBILE
$Html_Maps_Img = "";
//  DESKTOP Css
if ($device=="Desktop") 
	$Html_Maps_Img = "
		<style>
		indirizzo{
  			position: absolute;
  			top:       5.5%;
  			right:     24.5%;
			color: #000000;
			font-family: 'Arial Black', Gadget, sans-serif; 
  			font-size:  1.5vw;  
			font-style: italic; 
  			padding: 1em;
		}
		.geo_img_position { 
			position: absolute; 
			bottom:    50.00%;
			left:      46.5%;  
			width:       7%;
			height:   auto;
		} 
		#masc-maps{
    		width: 100%;
			height: 100%; 
			margin-top:  2.5%;
			margin-left: auto;
			margin-right: auto;
			text-align: center;
		}
		.maps-image {
			position: 		relative; 
			width: 			50vw; 
			height: 		88vh; 
			object-fit: 	cover;  
			overflow: 		hidden; 
		}
		</style>
";
//  MOBILE Css
else {
	$Html_Maps_Img = "
		<style>
		indirizzo{
  			position: absolute;
  			top:       0.0%;
  			right:     2.0%;
			color: #000000;
			font-family: 'Arial Black', Gadget, sans-serif; 
  			font-size:  1.5vw;
			/* font-style: italic; */
  			padding: 1em;
		}
		.geo_img_position { 
			position: absolute; 
			bottom:    50.00%;
			left:      40.0%;  		
			width:    20%;
			height:   auto;
		} 
		#masc-maps{
    		width: 100%;
			height: 100%; 
			margin-top:   0%;
			margin-left: auto;
			margin-right: auto;
			text-align: center;
		}
		.maps-image {
			position: 		relative; 
			width: 			100%; 
			height: 		95vh; 
			object-fit: 	cover;  
			overflow: 		hidden; 
		}
		</style>
";
}

$Html_Maps_Img .=  '<html>';
$Html_Maps_Img .=  '<body>';
$Html_Maps_Img .=  '<div id="masc-maps" >';	
$Html_Maps_Img .= '<img src="http://maps.google.com/maps/api/staticmap?center='.$lat.','.$long.'&zoom=14&size=850x850&maptype=roadmap&&sensor=true" class="maps-image"      alt="'.$geodata['formatted_address'].'" \/><br /><br />';
$Html_Maps_Img .= '</a>';
$Html_Maps_Img .= '%_ICO_GEO_POSITION_%';
$Html_Maps_Img .= '%_INDIRIZZO_COMPLETO_%';
$Html_Maps_Img .= '</div>';
$Html_Maps_Img .=  '</body>';
$Html_Maps_Img .=  '</html>';


// Html ICO/IMG pointer
$tmp_ico_geo_position="<img class='geo_img_position' src='".$ico_image_pointer."' />";
$Html_Maps_Img=str_replace("%_ICO_GEO_POSITION_%",$tmp_ico_geo_position,$Html_Maps_Img); 

// Html Address
$tmp_indirizzo="<indirizzo>"."You are near:<br>".$GEO_Indirizzo_Completo."</indirizzo>";	
$Html_Maps_Img=str_replace("%_INDIRIZZO_COMPLETO_%",$tmp_indirizzo,$Html_Maps_Img); 

echo $Html_Maps_Img;
